Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait ContextErrors extends AnyRef
  Definition Classes
    typechecker
-  trait InferencerContextErrors extends AnyRef
  Definition Classes
    ContextErrors
- InferErrorGen

o

scala.tools.nsc.typechecker.ContextErrors.InferencerContextErrors

# InferErrorGen 

###

#### object InferErrorGen

Source
  ContextErrors.scala

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InferErrorGen
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AccessError(tree: Global.Tree, sym: Global.Symbol, pre: Global.Type, owner0: Global.Symbol, explanation: String): Analyzer.AbsTypeError
5.  def AccessError(tree: Global.Tree, sym: Global.Symbol, ctx: Analyzer.Context, explanation: String): Analyzer.AbsTypeError
6.  def AmbiguousExprAlternativeError(tree: Global.Tree, pre: Global.Type, best: Global.Symbol, firstCompeting: Global.Symbol, pt: Global.Type, lastTry: Boolean): Any
7.  def AmbiguousMethodAlternativeError(tree: Global.Tree, pre: Global.Type, best: Global.Symbol, firstCompeting: Global.Symbol, argtpes: List[Global.Type], pt: Global.Type, lastTry: Boolean): Any
8.  def ConstrInstantiationError(tree: Global.Tree, restpe: Global.Type, pt: Global.Type): Global.Tree
9.  def IncompatibleScrutineeTypeError(tree: Global.Tree, pattp: Global.Type, pt: Global.Type): Unit
10.  def KindBoundErrors(tree: Global.Tree, prefix: String, targs: List[Global.Type], tparams: List[Global.Symbol], kindErrors: List[String]): Unit
11.  def NoBestExprAlternativeError(tree: Global.Tree, pt: Global.Type, lastTry: Boolean): Any
12.  def NoBestMethodAlternativeError(tree: Global.Tree, argtpes: List[Global.Type], pt: Global.Type, lastTry: Boolean): Any
13.  def NoConstructorInstanceError(tree: Global.Tree, restpe: Global.Type, pt: Global.Type, msg: String): Global.Tree
14.  def NoMethodInstanceError(fn: Global.Tree, args: List[Global.Tree], msg: String): Unit
15.  def NotWithinBounds(tree: Global.Tree, prefix: String, targs: List[Global.Type], tparams: List[Global.Symbol], kindErrors: List[String]): Unit
16.  def PatternTypeIncompatibleWithPtError1(tree: Global.Tree, pattp: Global.Type, pt: Global.Type): Unit
17.  def PatternTypeIncompatibleWithPtError2(pat: Global.Tree, pt1: Global.Type, pt: Global.Type): Unit
18.  def PolyAlternativeError(tree: Global.Tree, argtypes: List[Global.Type], sym: Global.Symbol, err: ErrorType): Unit
19.  def PolymorphicExpressionInstantiationError(tree: Global.Tree, undetparams: List[Global.Symbol], pt: Global.Type): Unit
20.  def TypePatternOrIsInstanceTestError(tree: Global.Tree, tp: Global.Type): Unit
21.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
22.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  implicit val contextInferErrorGen: Analyzer.Context
24.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
26.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
27.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
28.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
33.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  object PolyAlternativeErrorKind extends Enumeration

### Inherited from AnyRef

### Inherited from Any

### Ungrouped